#pragma once
#ifndef SELECTDP5_H
#define SELECTDP5_H
#include "afxwin.h"
#include "afxadv.h"	// for cfg file clipboard copy
#include "Label.h"
#include "NetFinder.h"
#include "DP5Status.h"
#include "SendCommand.h"
#include "WinusbNotify.h"


#ifdef _DEBUG
#define isDebug true
#else
#define isDebug false
#endif



// CSelectDP5 dialog

//DS_FIXEDSYS | 
//#define IDD_DP5_CONNECT                 129

class CSelectDP5 : public CDialog
{
	//DECLARE_DYNAMIC(CSelectDP5)

public:
	//CSelectDP5(CWnd* pParent = NULL);   // standard constructor
	CSelectDP5();
	//virtual ~CSelectDP5();

// Dialog Data
	//enum { IDD = IDD_DP5_CONNECT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	CToolTipCtrl m_ToolTip;								// Tooltip control

public:
	virtual BOOL OnInitDialog();

	void SetDataRcvTimer(long Bytes);
	CComboBox cboComPort;
	void ReqDataStatus();
	DP4_FORMAT_STATUS m_DP5_Status;

	BYTE DataIn[4096];
	afx_msg void OnTimer(UINT nIDEvent);
	// ======================================================

	// ===== USB ============================================
	afx_msg void OnBnClickedButtonFindUsbDevice();
	// ======================================================

	CNetFinder FindDpp;					// netfinder helper class
	CNetFinder FindDppUSB;					// netfinder helper class

	// ======================================================

	virtual BOOL DestroyWindow();					// has ethernet previous owner swap

	// ===== shared functions ===============================
	void EnableCommFunctions(int ControlGroup);		// enables/disables control groups
	// radio button selects communications type
	afx_msg void OnBnClickedRadioCommtype2();		// usb
	CLabel lblDppFound[3];							// displays dpp found by comm type
	// ======================================================

	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonCountDevices();
	CSpinButtonCtrl m_SpinSelectDevice;
	afx_msg void OnDeltaposSpinSelectDevice(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButtonCloseDevice();

	afx_msg void OnBnClickedConnectOK();
	virtual void OnOK();
	void CopyTextToClip(CString strTitle, CString strDesc);
	void SetModified(BOOL bChanged);
	BOOL m_bModified;

	CEdit m_SpectrumRefreshTimeCtrl;
	afx_msg void OnEnChangeSpectrumRefreshTime();
	afx_msg void OnBnClickedButtonSpectrumRefreshDefault();

	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

};

extern CDP5Protocol DP5Proto;
extern CSendCommand SndCmd;
extern CDppWinUSB DppWinUSB;
extern CWinusbNotify WinusbNotify;


#endif //SELECTDP5_H
























